{ AssertionError [ERR_ASSERTION]: Task function must be specified 附有源码!!!-前端-阿习进阶博客
Java
MySQL
大数据
Python
前端
黑科技
    首页 >> 互联网 >> 前端

{ AssertionError [ERR_ASSERTION]: Task function must be specified 附有源码!!!

[导读]:出现的原因:gulp版本不一致root@soldier-RESCUER-R720-15IKBN:/home/soldier/SOLDIER/IDE_project/webStorm_project/innovate-admin-vue#gulp-vCLIversion:2.2.0#全局版本Localversion:4.0.2#本地版本让两个版本一致,gulp4.x更新变动较大,可以考虑把本地版本和全...

出现的原因:gulp版本不一致

root@soldier-RESCUER-R720-15IKBN:/home/soldier/SOLDIER/IDE_project/webStorm_project/innovate-admin-vue# gulp -v
CLI version: 2.2.0    #全局版本
Local version: 4.0.2   #本地版本

让两个版本一致,gulp4.x更新变动较大,可以考虑把本地版本和全局版本都切回3.9.1版本

解决办法

卸载本地版本

npm uninstall --save-dev gulp

本地安装gulp

npm install --save-dev gulp@3.9.1全局安装
npm install -g gulp@3.9.1

image.png

本文来自阿习进阶博客,如若转载,请注明出处:https://yanxias.com

留言区

联系人:
手   机:
内   容:
验证码:

历史留言

联系人:阿习

手机号:156****7890

留言内容:欢迎大家一起讨论文章,有喜欢发帖的可以私聊我给你开权限,发文章

留言时间:2022-05-09 17:46:15

回复内容:互联网阿习

回复时间:2022-05-09 17:46:15

用户IP:220.***.***.232

用户操作系统:Windows 10

欢迎加Easy的QQ